Bug 1651954

Summary: rpmdev-bumpspec -n results in buggy version and delete numbers
Product: [Fedora] Fedora Reporter: Mattias Ellert <mattias.ellert>
Component: rpmdevtoolsAssignee: Neal Gompa <ngompa13>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 29CC: athmanem, bugs.michael, dennis, hobbes1069, kevin, ngompa13, redhat-bugzilla, twoerner
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rpmdevtools-8.10-7.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-12-02 08:25:43 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mattias Ellert 2018-11-21 09:51:23 UTC
Description of problem:

Without -n rpmdev-bumpspec works as expected. I.e.

3c3
< Release:	1%{?dist}
---
> Release:	2%{?dist}
18a19,21
> * Wed Nov 21 2018 N.N. <n.n@example.com> - 1.0-2

With -n the version and release numbers are repeated:

2,3c2,3
< Version:	1.0
< Release:	1%{?dist}
---
> Version:	2.02.0
> Release:	1%{?dist}1%{?dist}
18a19,21
> * Wed Nov 21 2018 N.N. <n.n@example.com> - 2.02.0-11

Version-Release number of selected component (if applicable):

rpmdevtools-8.10-6.fc29.noarch

How reproducible:

Always

Steps to Reproduce:
1. rpmdev-bumpspec -n <number> -c <message>

Actual results:
Repeated version and release number in updates spec file.

Expected results:
Correct version and release number in updates spec file.

Comment 1 Michael Schwendt 2018-11-21 11:30:01 UTC
More Python 3 regexp related breakage.

Comment 2 Othman Madjoudj 2018-11-25 11:45:46 UTC
I guess we can apply this patch for now, until next release.

https://pagure.io/rpmdevtools/c/ea772dae0d8bb266233c3fd9e2012281a821ef44?branch=master

Comment 3 Richard Shaw 2018-11-28 19:27:23 UTC
Just upgraded my desktop to F29 and seeing this. Is a fix in the works?

Comment 4 Fedora Update System 2018-11-29 04:18:48 UTC
rpmdevtools-8.10-7.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b29e1ab9b9

Comment 5 Fedora Update System 2018-11-30 15:11:59 UTC
rpmdevtools-8.10-7.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b29e1ab9b9

Comment 6 Fedora Update System 2018-12-02 08:25:43 UTC
rpmdevtools-8.10-7.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.